#include "data.h"

/* standart document width in pixel and cm */

#define StdDocWidthPixel 605
#define StdDocWidthcm 16.30f
#define NumberFormat "%.2f"

/* min. table column width in cm */

#define StdMinColWidth 0.01f


char cptSetNull(tPTag pTag, tPProperty pProp);
char cptFontSize(tPTag pTag, tPProperty pProp);
char cptFontColor(tPTag pTag, tPProperty pProp);
char cptPoint(tPTag pTag, tPProperty pProp);
char cptPadding(tPTag pTag, tPProperty pProp);
char cptTableBorder(tPTag pTag, tPProperty pProp);
char cptBorder(tPTag pTag, tPProperty pProp);
char cptAlign(tPTag pTag, tPProperty pProp);
char cptGenericBreak(tPTag pTag, tPProperty pProp);
char cptParseProperties(tPTag pTag, tPProperty pProp);
char cptLinkName(tPTag pTag, tPProperty pProp);
char cptLink(tPTag pTag, tPProperty pProp);

char SetupParagraph(int depth, tPTag pt);
double GetMaxWidth(tPTag pt);

char ProcessTagHTML(tPTag pt);
char ProcessTagTitle(tPTag pTag);
char ProcessTagFooter(tPTag pTag);
char ProcessTagBodyBefore(tPTag pt);
char ProcessTagBody(tPTag pt);
char ProcessTagListItem(tPTag pTag);
char ProcessTagA(tPTag pTag);
char ProcessTagHeader(tPTag pTag);

char ProcessTagTableBefore(tPTag pTag);
char ProcessTagTable(tPTag pTag);

char ProcessTagNullSubInfo(tPTag pTag);

